SOLARUS-RUN(6)

NAME
solarus-run - manual page for solarus-run 1.6.2

SYNOPSIS
solarus-run [options] [quest_path]

DESCRIPTION
The quest path is the name of a directory that contains either the data directory or the data archive (data.solarus or data.solarus.zip) of the game to run. If the quest path is not specified, the default directory will be: '.'.

OPTIONS

-help
    shows this help message and exits

-no-audio
    disables sounds and musics

-no-video
    disables displaying

-quest-size=<width>x<height>
    sets the size of the drawing area (if compatible with the quest)

-lua-console=yes|no
    accepts standard input lines as Lua commands (default yes)

-turbo=yes|no
    runs as fast as possible rather than simulating real time (default no)

-lag=X
    slows down each frame of X milliseconds to simulate slower systems for debugging (default 0)

-cursor-visible=yes|no
    sets the mouse cursor visibility on start (default leave unchanged)

-fullscreen=yes|no
    sets fullscreen mode on start (default leave unchanged)

-perf-sound-play=yes|no
    enables performance reporting of sound playing (default no)

-perf-video-render=yes|no
    enables performance reporting of video rendering, i.e. FPS (default no)

-joypad-deadzone=<value>
    sets the joypad axis deadzone between 0-32767 (default 10000)

-quit-combo=<b1>+<b2>+...
    enables joypad buttons combo for quitting (default disabled)

-s=<script>
    set a script to be executed before the main.lua of the quest.

-force-software-rendering
    force the engine to use SDL software rendering. Disabling opengl.

AUTHOR
solarus was written by Christopho and the Solarus Team.

This manual page was written by Nathan Moore <natedevv@gmail.com>, for the Solarus project (feel free to use it).

SEE ALSO
solarus-launcher(6), solarus-quest-editor(6)